# KubeWeekly Guidelines

## Overview

KubeWeekly is a weekly e-mail newsletter covering Kubernetes, cloud-native, open source, and projects in the cloud-native ecosystem.

It is targeted at a technical audience (developers, IT operators), and curated by a team of editors from the Kubernetes community.

The newsletter is sent out every Friday.

## Contributing Guidelines

To provide high-value content to the community, the editors review article submissions based on these guidelines.

* We aim to highlight open source information, how-tos, and cloud native thought leadership
* Content should be of interest to the community as a whole, not just the users of a single commercial platform.
* Content does not have to be vendor-neutral, but a press release or commercial announcement that does not outline feature benefits or how to use the project / product is not appropriate.
* No gated content, unless in the webinar section.
* Articles should be published within the last week. Exceptions will be made for good content we missed.


**Types of Content**
The types of content shared includes but is not limited to: 
* Blogs
* Videos
* Podcasts
* GitHub repos
 
## Publication of events

With tens of thousands of people in the Kubernetes community, the editors could never keep up with the events and publish them in KubeWeekly. 

The only events shared in KubeWeekly are the CNCF webinars.

## To submit content
 
Interested in submitting an article? Email kubeweekly@cncf.io
