# ☁️♮🏛Cloud Native Computing Foundation Policy Repo

This repo contains several documents related to the operation of the [Cloud Native Computing Foundation](https://cncf.io).

## Governance

* The [charter](charter.md) under which CNCF operates
* [Maintainer election policy](maintainers-election-policy.md) for the maintainer-elected TOC member and the two maintainers on the governing board
* The [membership](cncf-membership-agreement.pdf) agreement
* The [Code of Conduct](code-of-conduct.md) which has been translated into multiple languages

## Project Guidance

* [Copyright](copyright-notices.md) notice recommendations
* [Website guidelines](website-guidelines.md) for mentioning companies while maintaining neutrality
* [Allowlist License Policy](allowed-third-party-license-policy.md) for which licenses are acceptable in upstream dependencies without requiring an explicit vote of the governing board

## Community recommendations

* [CNCF Blog Guidelines](blog-guidelines.md) outlining who can submit, suggested topics, and how to submit. 
* A [style guide](style-guide.md) with recommendations for cloud native terminology
* A [translation guide](translation.md) for the Chinese equivalent of cloud native phrases

## Other content

A lot of project, SIG, and TOC-related content is in the TOC [repo](https://github.com/cncf/toc#cncf-technical-oversight-committee-toc). [cncf.io](https://cncf.io) has information on all programs offered publicly by CNCF.

The list of maintainers for each CNCF project is held in the [project-maintainers.csv](project-maintainers.csv) file. An existing project maintainer can update this list by Pull Request, and they should also email cncf-maintainer-changes@cncf.io (or raise a service desk ticket) to request corresponding changes to the project's CNCF-run maintainer mailing list.  

## How to request changes

You are welcome to file non-technical [issues](https://github.com/cncf/foundation/issues/new) related to [CNCF](https://cncf.io) on this repo.
