### What are CNCF groups?

CNCF groups are public long lived groups that do not fall under a specific CNCF project, a [TOC SIG](https://github.com/cncf/toc/blob/master/sigs/cncf-sigs.md), or a [local CNCG chapter](https://community.cncf.io/). These groups can cut across technologies, geographies, and businesses to address matters that affect CNCF members. They are important forums for working on the issues, beyond technological, transforming the cloud native community. They can have multiple purposes which may include:

1. Discussion and sharing issues
2. Providing feedback
3. Producing content and assets

### List of CNCF groups

1. [Telecom User Group](https://github.com/cncf/telecom-user-group) [charter]
2. Research User Group [charter]
3. Financial Services User Group [charter]
4. [Business Value SubCommittee](https://github.com/cncf/business-value) [charter](https://docs.google.com/document/d/1lMEwmdLHPi7FUh1WVt-kDrk1UKZlV3BykXjlm_iL4Ro/edit?ts=5f74c3e0#heading=h.7ugaugyyy9bv)
5. Service Mesh User Group [charter](https://docs.google.com/document/d/1jiQnPPXaPS0YG4_l3565lx555v4kqWoxifJXu3-i9Gw/edit)
6. Cartografos [charter](https://docs.google.com/document/d/1nL_x_APhKKAAxQMIBspXjXaz_sEqMgTm1lWjUxd6HYw/edit?ts=5ffcd705#heading=h.75bkqqx2sglh)
7. Marketing Committee [charter](https://github.com/cncf/foundation/blob/master/charter.md#10-marketing-committee)


### Forming a CNCF Group

First determine if the group is already covered under a specific CNCF project, a [TOC SIG](https://github.com/cncf/toc/blob/master/sigs/cncf-sigs.md), or a [local CNCG chapter](https://community.cncf.io/). Next, find a CNCF sponsor. Please reach out to [info@cncf.io](mailto:info@cncf.io) if you want to form a CNCF group, but don’t know who on staff to speak with. Once you have a CNCF sponsor, it is important to find 1-2 other co-chairs to help share the load with you. Reach out to people at [Member companies](https://www.cncf.io/about/members/) in similar areas or look for people that have previously spoken about it at [KubeCon](https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/). Your CNCF sponsor may also know other people interested in the group.

Once you have co-chairs, a charter should be drafted. At a minimum, it should include:

1. Name of group
2. Initial Authors: 
3. Reviewed and contributed to by:
4. Introduction
5. Mission
6. Areas considered in scope
7. Areas considered out of scope
8. Roadmap and initial efforts
9. Operations
    1. Chairs
    2. CNCF sponsor
    3. Communications
    4. Meeting schedule

Once finalized, make a pull request in this repo with a link to the charter.

### Meetings and Organization

New groups will be hosted on [Cloud Native Community Groups (CNCG)](https://community.cncf.io/). Once your charter has been organized, contact [meetups@cncf.io](mailto:meetups@cncf.io) to set up your chapter. You should also reference the official [Bevy documentation on how to create a chapter](https://help.bevylabs.com/article/454-create-a-chapter) for more technical details. CNCG allows organizers to easily manage their communities, including setting up and running meetings, emailing members, and following up with surveys. More information and resources on how run a group can be found [here](https://help.bevylabs.com/). 

If needed a Slack channel, mailing list, and/or Github repo can also be set up to organize discussions. Please work with your CNCF Sponsor to get this set up as needed.

### Platform Support

If you have any technical difficulties with the platform itself, please reach out to the [Bevy platform support](https://help.bevylabs.com/) directly.

### Marketing support

As these groups are under the auspices of the CNCF, they are able to use the multitude of CNCF media channels including [blog](https://github.com/cncf/foundation/blob/master/blog-guidelines.md), [social media](https://github.com/cncf/foundation/blob/master/social-guidelines.md), and [online programs](https://github.com/cncf/foundation/blob/master/online-programs-guidelines.md). Please refer to the individual guidelines for more information.
