## CNCF コミュニティ行動規範 v1.3

### コミュニティの行動規範

CNCFコミュニティのコントリビュータ、メンテナ、およびその参加者は、オープンかつ快適なコミュニティを促進するために、問題の報告、機能要求の投稿、ドキュメントの更新、プルリクエストまたはパッチ、および他の活動を通して貢献するすべての人々を尊重することを誓います。

私たちは、年齢、身体の大きさ、カースト、障害、民族性、経験レベル、家族構成、性別、性自認と性表現、配偶者の有無、軍人または退役軍人の地位、国籍、容姿、人種、宗教、性的指向、社会経済的地位、部族、その他あらゆる多様性の側面に関係なく、このプロジェクトへの参加を、全員にとってハラスメントがない経験にすることを約束します。

## 適用範囲

本行動規範は、以下の場面において適用されます。

- プロジェクトやコミュニティのスペース内
- CNCFコミュニティの参加者の言葉や行動が、CNCFプロジェクト、CNCFコミュニティ、または他のCNCFコミュニティ参加者に向けられている場合、およびそれらに関連する他のスペース内

### CNCFイベント

Linux Foundationのプロフェッショナルなイベントスタッフによって制作されるCNCFのイベントに関しては、Linux Foundationの [イベント行動規約](https://events.linuxfoundation.org/code-of-conduct/) に従って運営されます。これは、CNCF行動規範と併用されることを目的としています。

## 規範

CNCFコミュニティはオープンであり、包括的であり、敬意をもって接されます。コミュニティのすべてのメンバーは、自分自身のアイデンティティが尊重される権利を持っています。

良い環境を構築するための参加者の行動の例は以下のようなものが含まれますが、これらに限定されるものではありません。

* 他人への共感と思いやりを表す
* 異なる意見、視点、経験を尊重する
* 建設的なフィードバックを心がけ、それを快く受け入れる
* ミスに対して責任感を持ち、その影響を受けた人々に謝罪し、その経験から学ぶこと
* 個人だけではなく、コミュニティ全体として何が最善策かを重視する

一方で、以下のような行動は受け入れられませんが、これらに限定されるものではありません。

* 性的な言葉や描写の使用
* 煽りや侮辱的、軽蔑的なコメント、および個人または政治的な攻撃
* 公開または非公開のハラスメント
* 明示的な許可なしに他人の個人情報（住所やメールアドレス）を公開すること
* 暴力、脅迫、またはこれらの行為を助長する行為
* ストーカー行為やその人の意思に反した追跡行為をすること
* 望ましくない身体的な接触
* 歓迎されない性的または恋愛的な注目や誘い
* その他、プロフェッショナルな場において不適切とみなされうる行為

また、次のような行動も禁止されています。

* 行動規範の調査に関連して故意に誤った情報や誤解を招く情報を提供する、あるいは調査を故意に妨害する。
* インシデントを報告したり、証人としてインシデントに関する情報を提供したりした人へ対する報復行為。

プロジェクトのメンテナは、この行動規範に準拠していないコメント、コミット、コード、Wikiの編集、問題、他のコントリビューションを削除、編集、または却下する権利および責任を持っています。プロジェクトのメンテナは、この行動規範を採用することで、公正かつ一貫した方法で、これらの原則をプロジェクトの管理におけるすべての要素に適用することに注力します。本行動規範を遵守または施行しないプロジェクトのメンテナは、一時的あるいは永久的にプロジェクトのチームから抹消される可能性があります。

## 報告

Kubernetesコミュニティにて問題が発生した場合には、 <conduct@kubernetes.io> から[Kubernetes Code of Conduct Committee](https://git.k8s.io/community/committee-code-of-conduct)（行動規範委員会）までご連絡ください。通常3営業日以内に返信致します。

その他のプロジェクトや複数のプロジェクトに影響を与えるインシデントにつきましては、[CNCFの行動規範委員会]((https://www.cncf.io/conduct/committee/)) (email: <conduct@cncf.io>) までご連絡ください。あるいは、[CNCFの行動規範委員会]((https://www.cncf.io/conduct/committee/))の個別のメンバーに報告することもできます。報告の手順や匿名での報告方法など、より詳細な情報は、[インシデント解決手順](https://www.cncf.io/conduct/procedures/)をご覧ください。通常3営業日以内に返信致します。

Linux Foundationが制作するCNCFイベントでのインシデントについては、<eventconduct@cncf.io> にご連絡ください。

## 施行

報告されたインシデントのレビューと調査の後、管轄するCoCの対応チームは、この行動規範と関連するドキュメントに基づいて、適切な行動を決定します。

プロジェクトリーダーシップが取り扱う行動規範のインシデント、CNCF行動規範委員会が取り扱うインシデント、およびLinux Foundation（そのイベントチームを含む）が取り扱うインシデントに関する情報には、[私たちの管轄ポリシー](https://www.cncf.io/conduct/jurisdiction/)を参照してください。

## 改正

CNCFの憲章と一貫して、この行動規範に対する実質的な変更は、Technical Oversight Committeeの承認が必要です。

## 謝辞

本行動規範は、コントリビューター行動規範 (http://contributor-covenant.org) に基づいています。 バージョン2.0はこちらから参照可能です。 http://contributor-covenant.org/version/2/0/code_of_conduct/
