<!-- Do not edit this file directly. Get the latest from
     https://github.com/cncf/foundation/blob/main/code-of-conduct.md -->
## Código de Conduta para a Comunidade CNCF v1.2

### Código de Conduta para os Colaboradores

Como contribuidores e mantenedores desse projeto, e no interesse de fomentar
uma comunidade aberta e acolhedora, nos comprometemos a respeitar todas as pessoas que contribuem
através de relatos de erros, postando solicitações de funcionalidades, atualizando a documentação,
submetendo pull requests ou patches, e outras atividades.

Estamos comprometidos em tornar a participação neste projeto uma experiência livre de assédio para
todos, independentemente do nível de experiência, gênero, identidade e expressão de gênero,
orientação sexual, deficiência, aparência pessoal, tamanho do corpo, raça, etnia, idade,
religião ou nacionalidade.

## Escopo 

Este código de conduta aplica-se tanto nos espaços do projeto como nos espaços públicos
quando um indivíduo está representando o projeto ou sua comunidade.

### Eventos CNCF

Eventos da CNCF, ou eventos organizados pela Linux Foundation com equipe profissional de eventos, são regidos pelo [Código de Conduta da Linux Foundation](https://events.linuxfoundation.org/code-of-conduct/) disponível na página do evento. Isso foi projetado para ser utilizado em conjunto com o Código de Conduta do CNCF.

## Nossos Padrões

Exemplos de comportamento que contribuem para um ambiente positivo incluem:

* Demonstrar empatia e gentileza para com outras pessoas
* Ser respeitoso com as diferentes opiniões, pontos de vista e experiências
* Dar e aceitar educadamente feedback construtivo
* Aceitar a responsabilidade e pedir desculpas aos afetados por nossos erros,
   e aprender com a experiência
* Concentrar-se no que é melhor não apenas para nós como indivíduos, mas para a
   comunidade em geral

Exemplos de comportamento inaceitável incluem:

* O uso de linguagem ou imagens sexualizadas, e atenção sexual ou
   avanços de qualquer tipo
* Trolling, comentários insultuosos ou depreciativos e ataques pessoais ou políticos
* Assédio público ou privado
* Publicação de informações privadas de outras pessoas, como endereços físicos ou eletrônicos,
 sem permissão explícita
* Outra conduta que possa razoavelmente ser considerada inadequada em um
   ambiente profissional

Os mantenedores do projeto têm o direito e a responsabilidade de remover, editar ou rejeitar
comentários, commits, códigos, edições do wiki, questões e outras contribuições que não são
alinhado com este Código de Conduta. Ao adotar este Código de Conduta, os mantenedores do projeto
comprometem-se a aplicar de maneira justa e consistente esses princípios em todos os aspectos
de gerenciar este projeto. Os mantenedores do projeto que não seguem ou aplicam o Código de 
Conduta podem ser removidos permanentemente da equipe do projeto.


## Reportando 

Para incidentes ocorridos na comunidade Kubernetes, entre em contato com o [Comitê de Código de Conduta da Kubernetes](https://git.k8s.io/community/committee-code-of-conduct) via <conduct@kubernetes.io>. Você pode esperar uma resposta dentro de três dias úteis.

Para outros projetos, ou para incidentes independentes do projeto ou que afetem vários projetos do CNCF, entre em contato com o [Comitê de Código de Conduta CNCF](https://www.cncf.io/conduct/committee/) via conduct@cncf.io. Como alternativa, você pode entrar em contato com qualquer um dos membros individuais do [Comitê de Código de Conduta CNCF](https://www.cncf.io/conduct/committee/) para enviar seu relato. Para obter instruções mais detalhadas sobre como enviar um relato, incluindo como enviar um relato anonimamente, consulte nosso [Procedimentos de Resolução de Incidentes](https://www.cncf.io/conduct/procedures/). Você pode esperar uma resposta dentro de três dias úteis.

## Aplicação 

O [Comitê do Código de Conduta](https://github.com/kubernetes/community/tree/master/committee-code-of-conduct) do projeto Kubernetes aplica questões de código de conduta para o projeto Kubernetes.

Para todos os projetos que não têm seu próprio Comitê do Código de Conduta ou outros respondentes de incidentes do Código de Conduta, e para incidentes que são independentes do projeto ou afetam vários projetos, o [Comitê de Código de Conduta CNCF](https://www.cncf.io/conduct/committee/) impõe questões de código de conduta. Para obter mais informações, consulte nossa [Política de Jurisdição e Escalação](https://www.cncf.io/conduct/jurisdiction/)

Ambos os órgãos tentam resolver as ocorrências sem punições, mas podem retirar pessoas do projeto ou das comunidades do CNCF a seu critério.

## Agradecimentos

Este Código de Conduta é adaptado do [Contributor Covenant](http://contributor-covenant.org),
versão 2.0, disponível em [https://www.contributor-covenant.org/pt-br/version/2/0/code_of_conduct/](https://www.contributor-covenant.org/pt-br/version/2/0/code_of_conduct/)
