云原生计算基金会（CNCF）社区行为准则 1.3 版本
---------------------------------------------

### 社区行为准则

作为 CNCF 社区的贡献者、维护者和参与者，我们努力建设一个开放和受欢迎的社区，我们承诺尊重所有上报 Issue、发布功能需求、更新文档、提交 PR 或补丁、参加会议活动以及其他社区和项目活动的贡献者和参与者。

我们致力于让参与 CNCF 社区项目的每个人都不受骚扰，无论其年龄、体型、种姓、残疾、族裔、经验水平、家庭状况、性别、性别认同和表达、婚姻状况、军人或退伍军人身份、国籍、个人外表、种族、宗教、性取向、社会经济地位、部落或任何其他方面的多样性。

## 范围

本行为准则适用于：

* 在项目和社区空间内，
* 在其他空间，当某个 CNCF 社区参与者的言语或行为提及 CNCF 项目、CNCF 社区或其他 CNCF 社区参与者时
  
### CNCF 活动行为准则

由 Linux 基金会和专业活动人员举办的 CNCF 活动受 Linux 基金会[活动行为准则](https://events.linuxfoundation.org/code-of-conduct/)管辖，该行为准则可在活动页面获得。
其旨在与 CNCF 行为准则兼容。

## 我们的标准

CNCF 社区是开放、包容和尊重的。社区的每个成员都有权让自己的身份受到尊重。

对社区贡献具有积极正向作用的行为包括但不限于：

* 表现出对他人的共情和善意
* 尊重不同的意见、观点和经验
* 提出和优雅地接受建设性的反馈
* 有担当，如因自己的错误影响到别人能适时道歉，吸取经验教训
* 关注点不只放在如何让我们自己受益，还能着眼于整个社区
* 使用欢迎和包容的语言

不可接受的参与者行为包括但不限于：

* 使用性语言或图像
* 挑衅、侮辱或贬低性评论以及人身或政治攻击
* 任何形式的公开或私下骚扰
* 未经明确许可，发布他人的私密信息，比如地址或电子邮箱
* 暴力、暴力威胁或鼓励他人从事暴力行为
* 未经同意跟踪或跟随他人
* Unwelcome physical contact
* 不受欢迎的身体接触
* Unwelcome sexual or romantic attention or advances
* 不受欢迎的性或浪漫的追求和挑逗
* 其他可能视为不道德或不专业的行为

同时禁止下列行为：

* 故意提供针对行为准则调查的虚假或误导性信息，或以其他方式故意篡改调查内容。
* 由于某人报告事件或作为证人提供有关事件的信息而对其进行报复。

项目维护者有权利和责任删除、编辑或拒绝不符合本行为准则的评论、提交、编写代码、编辑维基、提问和其它贡献。通过采用本行为准则，项目维护者承诺将这些原则公平且一致地应用到这个项目管理的各个方面。不遵守或不执行行为准则的项目维护者可能被永久地从项目团队中移除。

## 上报

对于 Kubernetes 社区中出现的事件，请发送邮件至 <conduct@kubernetes.io> 联系 [Kubernetes 行为准则委员会](https://git.k8s.io/community/committee-code-of-conduct)。预计你可以在三个工作日内收到答复。

对于其他项目、或与项目无关或影响到多个 CNCF 项目的事件，请通过 <conduct@cncf.io> 联系 [CNCF 行为准则委员会](https://www.cncf.io/conduct/committee/)。
你也可以联系 [CNCF 行为准则委员会](https://www.cncf.io/conduct/committee/)的任何成员提交你的报告。
包括匿名提交报告在内有关如何提交报告的更多详细指示，请参阅我们的[事件解决程序](https://www.cncf.io/conduct/procedures/)。预计你可以在三个工作日内收到答复。

对于 Linux 基金会举办的 CNCF 活动中所发生的事件，请联系 <eventconduct@cncf.io>。

## 执行

在对报告的事件进行审查和调查后，具有管辖权的行为准则应变小组（CoC）将根据本行为准则及其相关文档采取适当的行动。

关于哪些行为准则事件由项目领导层处理、哪些事件由 CNCF 行为准则委员会处理以及哪些事件由 Linux 基金会（包括其活动团队）处理，请参阅我们的[管辖及逐级上报政策](https://www.cncf.io/conduct/jurisdiction/)。

## 修正案

根据 CNCF 章程，对本行为准则的任何实质性变更都必须得到技术监督委员会的批准。

## 致谢

本行为准则改编自[贡献者契约（Contributor Covenant）](http://contributor-covenant.org) v2.0，具体可查阅 <http://contributor-covenant.org/version/2/0/code_of_conduct/>
