## Maintainers Election Policy

Maintainers of graduated and incubating CNCF-hosted projects elect 2 members of the Governing Board (GB) (see CNCF Charter [section](https://github.com/cncf/foundation/blob/master/charter.md#5-governing-board) 5(c)(ii)(b)) and one member of the Technical Oversight Committee (TOC) (see CNCF Charter [section](https://github.com/cncf/foundation/blob/master/charter.md#6-technical-oversight-committee-toc) 6(b)(iii)). This document specifies the nomination and voting process.

## Maintainer Nomination

To nominate themselves for an open position, a graduated or incubating maintainer needs to send an email to the private list <cncf-maintainer-nomination@lists.cncf.io> prior to the announced deadline with a maximum 1-page nomination pitch which includes the nominee's name, contact information, and a supporting statement identifying the nominee's experience in CNCF domains and interest in the position. The nominee needs to cc (i.e., copy) 2 other maintainers from 2 different graduated or incubating CNCF projects who each need to group reply endorsing the nomination. The 2 endorsers also need to be employed by different companies than the nominee and each other (i.e., the nominee and endorsers must each work for a different group of Related Companies as defined in the CNCF Charter section 14). It is the nominee’s responsibility to ensure that their nomination and both endorsements are sent prior to the deadline.

## Maintainer Voting

The CNCF GB has defined the following system of “Maintainer Voting”:

The eligible voters for a maintainer chosen seat are the maintainers of graduated and incubating projects on the date that the election is opened. 

This means that projects in process to move to incubation are not eligible if they have not been announced on the date that the election is opened. 

These project maintainer lists will be determined by the public lists at maintainers.cncf.io. 

Each eligible project maintainer will receive one vote.  In order to participate in the election process, maintainers will need to add themselves to the list of active voters. This will occur at the same time as the nomination process and last at least two weeks. 

Votes will occur using Condorcet-IRV.

## Developer Representation on the CNCF GB

The Cloud Native Computing Foundation (CNCF) is a community made up of contributors, vendor companies, end user organizations, academic institutions, and nonprofits. The funding and marketing functions of CNCF are overseen by its Governing Board (GB) while technology decisions are under the purview of the Technical Oversight Committee (TOC). The GB consists of company representatives (17 platinum seats, 3 gold seats, and 3 silver seats) plus the chairperson of the Technical Oversight Committee (TOC) and 2 developer seats.

One of these developer seats is filled by the Kubernetes Steering Committee. The other seat is elected by the maintainers of the non-Kubernetes, graduated and incubating projects.

The developer seats are be held for 2 years with an election each year to replace one of the seats.

## GB Developer Seat Eligibility

Current and emeritus members of the Kubernetes Steering Committee are eligible to hold the Kubernetes seat. The Kubernetes Steering Committee will determine its own method for selecting the representative, though CNCF is happy to organize an election for it if requested. Maintainer voting is not used for selecting this seat.

For the other GB developer seat, the pool of eligible nominees and voters are individuals who are maintainers of at least one graduated or incubating, non-Kubernetes project at the time when nominations are called. The CNCF maintains a [list](https://github.com/cncf/foundation/blob/master/project-maintainers.csv) of project maintainers. The election will be held using the process described in the “Maintainers Election Policy” above, limited to the graduated or incubating non-Kubernetes project maintainers.

Maintainers who already hold a Governing Board seat are eligible to vote but not to run. The 2 developer seats and the TOC chair are collectively known as Technical Community Representatives and are required to be from different companies (i.e., each must work for a different group of Related Companies as defined in the CNCF Charter section 14). If more than one Technical Community Representative would be from the same group of Related Companies, either at the time of election or from a later job change, they will jointly decide who should step down, or if there is no agreement, random lots shall be drawn.

If a GB developer seat holder resigns or is forced to leave their seat, the seat will be re-appointed by the original method and for the remainder of the previous term.

## TOC Developer Seat Eligibility

Maintainers of graduated or incubating projects who do not currently hold a TOC seat are eligible to self-nominate for the developer TOC seat. All graduated and incubating maintainers are eligible to vote.
