# CNCF Online Programs Guidelines v1.0 #

## Overview ##

Formerly known as the CNCF webinar program, CNCF online programs are offered to the community to provide education about open source cloud native technologies. Online programs include on-demand, livestream, and live webinars that are offered by members, CNCF incubating and graduated projects, and CNCF Ambassadors.

Please note: We are unable to share leads due to the Linux Foundation privacy policy.

## Publishing schedule ##

Live webinars are hosted on Tuesdays at 10am PT.

Livestreams are hosted on Wednesdays from 12-1pm PT.

On-demand webinars premiere on Thursdays.

Every Friday, CNCF YouTube playlists are updated with curated vendor neutral content from our members.

## Who can participate in CNCF Online Programs ##
 
Members 
* Platinum members are eligible for 4 activities for the quarter (including live webinar, on-demand webinar, livestream, and YouTube playlist submission) but only 1 live webinar, 1 livestream - you get to choose.
* Gold members are eligible for 4 activities for the quarter (including on-demand webinar, livestream, and YouTube playlist submission) but only 1 livestream - you get to choose. 
* Silver members are eligible for 2 activities for the quarter (including on-demand webinars, livestream, and YouTube playlist submission) but only 1 livestream.
* End user supporter members cannot hold a webinar.
* CNCF Member webinars will have “member webinar” in the YouTube description.

Projects
* Graduated and incubating projects can participate in our online programs via livestream. These livestreams can demonstrate release features and details or provide a project update. 
* Sandbox projects cannot host a livestream.
* CNCF project webinars will have "Project webinar" in the YouTube description.

Ambassadors
* CNCF Ambassadors can hold a webinar via livestream as it fits their schedule.
* CNCF Ambassador webinars will have "Ambassador webinar" in the YouTube description.

## Online programs type definitions ##

* Live webinars
	* Only offered to Platinum members with 1 slot/week
	* Day of webinar - 15 minute soundcheck
	* Premiere date - Tuesdays at 10am PST
* On-demand webinars
	* Members submit their own pre-recorded content and it will be assigned a publish date based on the editorial calendar. Content cannot be from previous KubeCon + CloudNativeCons.
	* Premiere date - Thursdays
* Livestream option 
	* YouTube Live + Twitch + Periscope + LinkedIn
	* Kickoff this option with the Kubernetes 1.20 release on Jan 8
	* Content must be live coding/demo - no presentations with slides, no product pitches
	* CNCF Ambassador will join the stream as co-host
	* Premiere date - Wednesdays (1 per week)
* YouTube Playlist submission
	* Submit pre-recorded content (must be relevant to the last six months and can include previous KubeCon presentations) to our curated theme playlists on YouTube via Google Form
	* CNCF staff  updates playlists 1x/week - Fridays



## Online Programs content guidelines ##
* Webinar topics should be comparable to what would be accepted in a KubeCon + CloudNativeCon talk.
* Webinars and Youtube playlist submissions are great for overviews, 101s, best practices, or other content that you want to present in a specific structure
* Livestreams are best for interactive content like experimenting with new features or building something from scratch with mistakes along the way 
* Any platforms, tools, or technologies you are describing must be open source.
* Not allowed:
	* Sales or marketing pitches
	* Unlicensed or potentially closed-source technologies
* Webinars should not be promotional.
* It is NOT okay to mislead or misrepresent features of CNCF projects.
* All Online Programs are subject to the CNCF Code of Conduct.

Members can add a slide at the end of their webinar on where to get more information. 
Examples:
* Share contact info of speaker - twitter, slack, email
* Links to company websites
* Links to projects websites or Github
* Can advertise if they are hiring and who to contact if interested

Note: This is not a link to a CNCF website or form on the CNCF website.

## Submit to participate in online programs + deadlines ##

If you are a CNCF member and eligible to participate in our online programs, [please submit your request here](https://calendly.com/cncfonlineprograms?month=2021-03&date=2021-03-10). We are always accepting submissions and will get in touch with you once your submission is received and to discuss next steps for scheduling. Please note the following deadlines for submissions (once date is secured):
* Live webinars: Slides due 1 week in advance of presentation
* On-demand webinars: Slides and recording due 2 weeks in advance of presentation
* No deadlines are required for livestream as it is live
* YouTube playlist submissions for the corresponding week are due 11:59 PM PT on Wednesdays to make Friday publish date 


## Please reach out to onlineprograms@cncf.io with any questions ##
