# Fashion a Phippy #

Are you a maintainer on a graduated project? Do you want to help others better understand the concepts of cloud native computing? Donate a character to the Phippy and Friends family, and help folx take their first steps to #TeamCloudNative, while increasing the marketing and engagement opportunities for your project.

## Background ##

In 2016, [Deis](http://deis.io/) (now part of Microsoft Azure) platform architect Matt Butcher was looking for a way to explain Kubernetes to technical and non-technical people alike. Inspired by his daughter’s prolific stuffed animal collection, he came up with the idea of [“The Children’s Illustrated Guide to Kubernetes.”](https://www.cncf.io/phippy/the-childrens-illustrated-guide-to-kubernetes/) Together with Karen Chu, and Bailey Beougher, he created Phippy, the yellow PHP application giraffe, and set her off on her first adventure.

In 2018, Phippy was donated to the Linux Foundation and today the Phippy characters are free to use to teach others about cloud native computing. 

## Phippy’s mission ##

From a humble PHP app, Phippy has gone on to help thousands of folx take their first steps to understanding cloud native computing - from containerisation to automation. Today, Phippy and Friends’ mission is to demystify cloud native computing and explain complicated concepts in a compelling, engaging and easy-to-understand manner.

It’s not just for bedtime stories, you can use the Phippy and Friends characters in your day-to-day work, especially when you’re tasked with explaining your team’s projects and products to folx who don’t share the same technical background. 

## We’re a CNCF Project - how do we get a character? ##

Any graduated CNCF project is welcome to donate a character to the Phippy and Friends family, and we encourage you to do so. Not only does this help expand the educational outreach of the program, it also provides more marketing and engagement opportunities for your project.

To get started, please file a ticket with a [Service Desk.](https://servicedesk.cncf.io)

### What’s Involved? ###

Project maintainers are responsible for choosing their character’s name and which animal you’d like them to be.

CNCF will support you with illustrations (you are free to use your own designer if you prefer) and will create swag items based on your final character. 

Once your character is finalized, CNCF will promote them through inclusion in events, social media mentions and blogs. You don’t have to write a book about your character, but they may appear in future Phippy and Friends adventures. 

### Guidelines for Phippy Characters ###

Phippy and Friends help explain cloud native computing to technical and non-technical folx alike. As project maintainers, you are free to choose the character you feel best represents your project, and there is no limit to where your imagination can take you.

However, there are some requirements around new characters to ensure that every project is fairly represented:

* Characters can be any animal you choose, and the animal does not necessarily need to be alive today (who doesn’t love dinosaurs?!)
* The first letter of your character’s name should match the first letter of your project and the first letter of your chosen animal (e.g Goldie the Go Gopher). 
* Characters should ideally be a specific animal, and not a collective noun for a species (for example, the Prometheus Puppy is not specific enough, but you could have the Prometheus Pug).
* Characters should also be child-friendly, as Phippy and Friends are often used to help younger folx learn about cloud native computing.


### Do I have to write a book? ###

No, you don’t have to write a book. But your character might appear in future Phippy and Friends stories, as well as at CNCF events and in presentations by the community.

Of course, we welcome your stories and if you’d like to work on a new Phippy and Friends adventure, we will support you in the editorial process - from the initial storyboard, to editing and illustrating. We will also promote your book through dedicated marketing campaigns.

## We’re not a CNCF Project - can we use Phippy and Friends? ##

Yes, you can. The Phippy and Friends characters (Phippy, Goldie, Captain Kube, Zee, Hazel and Linky) are licensed under the Creative Commons Attribution License (CC-BY), which means that you can remix, transform, and build upon the material for any purpose, even commercially. If you use the characters, please include the text “phippy.io” to provide attribution (and online, please include a link to https://phippy.io).

## What collateral is available? ## 

Images of the Phippy characters are available in the CNCF artwork [repo](https://github.com/cncf/artwork) in svg, png, and ai formats, in color, black, and white.

There is also Phippy and Friends swag available, including hard-copies of books and plush toys, on the [CNCF store.](https://store.cncf.io/collections/cncf) 

