# CNCF Social Media Guidelines

This document covers the social media guidelines for the use of the CNCF Twitter channel and the CNCF project Twitter channels.

CNCF manages multiple project handles. These guidelines apply to all CNCF project channels, regardless of who manages.

## CNCF Project Twitter handles
### Objectives
The objectives of project social media:
* Share project news, roadmap updates, news releases
* Report on performance and security updates
* Educate on project updates
* Share information on how-tos, demos, etc that are valuable to the community
* Build awareness for the project 
* Drive engagement and participate in the project


### Strategy and Guidelines
* Keep messages positive and uplifting, consistent with the values and principles of CNCF
* Communicate big picture ideas vs “announcements” or news. News will be positioned less like an announcement and more around what it means.
* Share content across social media channels that benefit the ecosystem as a whole
* Share vendor-neutral, community-sourced posts that are informational, engaging, and ecosystem-focused
* Engage with the community through retweets and sharing of community content.
* Ecosystem content is vendor-neutral and project-impartial sourced from contributors, maintainers, ambassadors, news outlets, etc., including blog posts, news coverage, thought leadership bylines, technology demos, sketch notes, GitHub work, cloud native-specific Meetups, etc.
 * CNCF is not able to share anything on our channels that promotes a vendor product or directs to a company website. 
 * Social posts from member company handles and/or vendor channels cannot be shared.
 * RTs are limited to news outlet handles, project handles + personal handles.
 * Community content that abides by the channel guidelines + includes insight from/work with more than one CNCF project will be prioritized for sharing. 
 * Activities that are hosted by and open to the public can be promoted, as they benefit the ecosystem as a whole. 


### Images & Videos
Images shared, unless specifically credited back to a community member, will meet the requirements of “free for commercial use” and “no attribution required.”


## @cloudnativefdn Twitter handle
### Objectives
The objectives of CNCF social media:
* Advance topics and conversations that are relevant to and beneficial for the cloud native community
* Continue building positive affinity for CNCF projects among key influencers and throughout cloud native community
* Drive engagement and participation in CNCF projects

### Themes and Topics
Informational, engaging, and ecosystem-focused content:
* CNCF projects
* CNCF end user community
* Contributor / SIG blog posts
* Cloud native ecosystem
* CNCF event information and deadlines (i.e. CFP)
* Technical topics such as containers, microservices, serverless, and DevOps
* Industry vertical topics such as AI, Serverless, Edge, and IoT 
* Informational: Tutorials, editorials, news stories. Items that help connect the dots for our community
* Thought leadership: insights, perspectives, learnings, and experiences 

### Strategy
* Keep messages positive and uplifting, consistent with the [values and principles of CNCF](https://github.com/cncf/foundation/blob/master/charter.md)
* Communicate big picture ideas vs “announcements” or news. News will be positioned less like an announcement and more around what it means.
* Share content across social media channels that benefit the ecosystem as a whole
* Maintain a balance of posting on CNCF activities/news and ecosystem-focused content 
* Share vendor-neutral, community-sourced posts that are informational, engaging, and ecosystem-focused
* Engage with the community through retweets and sharing of community content.

### General Guidelines
For all CNCF social activity, we remain a neutral foundation. Examples of the type of content:
* Owned content is CNCF news, blogs, case studies, survey data, etc.
* Project content is anything sourced from [CNCF’s currently hosted projects](https://www.cncf.io/projects/), including project news, roadmap updates, new releases, performance/security updates, blogs, conferences slides/videos, etc.
* Ecosystem content is vendor-neutral and project-impartial sourced from contributors, maintainers, ambassadors, news outlets, etc., including blog posts, news coverage, thought leadership bylines, technology demos, sketch notes, GitHub work, cloud native-specific Meetups, etc.
 * CNCF is not able to share anything on our channels that promotes a vendor product or directs to a company website. 
 * Social posts from member company handles and/or vendor channels cannot be shared.
 * RTs are limited to news outlet handles, @linuxfoundation, @kubecon_, project handles + personal handles.
 * Community content that abides by the channel guidelines + includes insight from/work with more than one CNCF project will be prioritized for sharing. 
 * Activities that are hosted by and open to the public can be promoted, as they benefit the ecosystem as a whole. 

### Images & Videos
Images shared, unless specifically credited back to a community member, will meet the requirements of “free for commercial use” and “no attribution required.”

### Hashtags
CNCF uses hashtags in our posts:
* To measure the success of campaigns (for example, #KubeCon);
* To expand our reach beyond our current followers and tap into larger, trending topics on Twitter (for example, #cloudnative)
* To organize or categorize shares (for example, #Kubernetes).

### To request content to be shared
Share your tweet on the [#socialmedia](https://app.slack.com/client/T08PSQ7BQ/C12MRQ97A) channel on the CNCF Slack channel or email social@cncf.io.

