# CNCF Style Guide #

## 1. Cloud native and open source ##

Online and in print media, the phrases "cloud native" and "open source" are written both with and without the hyphen.
[Merriam-Webster](https://www.merriam-webster.com/dictionary/open-source) lists the phrase as "open-source," and the
[Chicago Manual of Style](http://www.chicagomanualofstyle.org/16/images/ch07_tab01.pdf) recommends a hyphen in
noun + adjective compounds used as an adjective in front of a noun. 

However, the [Open Source Initiative](https://opensource.org/), established in 1998, does not use a hyphen in
"open source." Likewise, the Cloud Native Computing Foundation does not use a hyphen in "cloud native" in its name.
And the [IEEE Computer Society Style Guide](https://ieeecs-media.computer.org/assets/pdf/2016CSStyleGuide.pdf),
which is maintained by the 72-year-old Computer Society, lists "open source" as the preferred usage.

We believe that the cloud native aspect of a "cloud native technology" is so integral to its meaning that the entire
phrase serves as a noun. The same can be said for an "open source project." Following this logic, "cloud native" and
"open source" are not compound adjectives that need to be hyphenated, per the Chicago Manual of Style.

Thus, going forward, for all CNCF publications online and in print, we are establishing "open source" and "cloud native"
as the proper style. 

The words should be lowercase, except in organization names like the Cloud Native Computing Foundation and Open Source
Initiative. Normal capitalization rules apply at the beginning of a sentence and in titles.

The CNCF Cloud Native [Definition](https://github.com/cncf/toc/blob/master/DEFINITION.md) is available in multiple languages.

## 2. Kubernetes ##

*Etymology:* [κυβερνήτης](https://en.wiktionary.org/wiki/%CE%BA%CF%85%CE%B2%CE%B5%CF%81%CE%BD%CE%AE%CF%84%CE%B7%CF%82),
Greek for helmsman or pilot. Also the root word for cybernetics and governor (which has an important meaning in control
theory).

*Abbreviation:* K8s (sometimes k8s), a [numeronym](https://en.wikipedia.org/wiki/Numeronym) formed by replacing the
middle of the word ("ubernete") with the number of letters it contains (8). K8s is preferred, as Kubernetes is a proper noun. 

*Unacceptable abbreviations:* K8, which leaves off the "s," and K8S, which gets the capitalization wrong.

*Pronunciation:* koo-bur-NET-ees. Source: its co-creator [Joe Beda](https://twitter.com/jbeda/status/773368060728057856).

*Additional notes:*

1. Contrary to the pronunciation of Kubernetes, [KubeCon](http://kubecon.io) is pronounced KYOOB-kon.
2. The canonical pronunciation of kubectl was [established in v1.9](https://github.com/kubernetes/kubernetes/blame/80c75ef19ea37880329a5dfa8fb578d5a8c4263e/CHANGELOG-1.9.md#L550) as "cube-control".

## 3. Other CNCF Projects ##

Different CNCF-hosted projects have preferred capitalization (e.g., containerd, gRPC). Please see
[https://www.cncf.io/projects/](https://www.cncf.io/projects/).

## 4. Logos ##

Logos for all CNCF-hosted [projects](https://www.cncf.io/projects/) and programs are available at
[https://github.com/cncf/artwork/](https://github.com/cncf/artwork/). We prepare artwork in 2 formats
(PNG & SVG), 3 layouts -- horizontal (also known as landscape format), stacked (which is closer to square),
and icon (which does not include the name and is square), and 3 versions (color/black/white). So, that's at
least 18 versions of most logos.

You can find stickers for all projects and t-shirts and hoodies for each CNCF graduated and incubating project
at the CNCF [store](https://store.cncf.io/).
