## Style Guide 规范

| Translation Style Guide                                                                                                                                	| 翻译规范                                                                                 	|
|--------------------------------------------------------------------------------------------------------------------------------------------------------	|------------------------------------------------------------------------------------------	|
| Before translation, refer to the Technical Terms glossary to standardize translation consistency.                                                      	| 翻译之前，需参考Technical Terms 术语表以规范翻译一致性。                                 	|
| English and Chinese suggestions in the translation are separated by spaces                                                                             	| 译文中的英文与中文建议用空格分隔                                                         	|
| Kubernetes resource objects such as: Deployment, Service, ConfigMap, etc. do not need to be translated, and use original English as much as possible.  	| Kubernetes 资源对象如：Deployment、Service、ConfigMap 等不需要翻译，尽可能用原始英文。   	|
| Keep the original md or html format unchanged, such as Server translated into a server                                                                 	| 保持原始 md 或 html 格式不变，例如 _Server_ 翻译成 _服务器_                              	|
| For long article translations, be careful not to remove anchor links, such as Server translation to server anchor link retention, but not translation. 	| 对于长文章翻译要注意锚点链接不要移除，例如 Server 翻译成 服务器 锚点链接保留，但不翻译。 	|
| Md code block and code output content are also not translated                                                                                          	| md 代码块与代码输出内容也不要翻译                                                        	|                                                      	|

## Technical Terms 术语表

| English英文                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  	| Chinese 中文                                                                                                                                                                                                                                                                                                                                                                                                                                                              	| Korean 韩文	|
|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------	|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------	|--------	|
| CNCF Cloud Native Definition <br/> <br/> Cloud native technologies empower organizations to build and run scalable applications in modern, dynamic environments such as public, private, and hybrid clouds. Containers, service meshes, microservices, immutable infrastructure, and declarative APIs exemplify this approach. <br/> <br/> These techniques enable loosely coupled systems that are resilient, manageable, and observable. Combined with robust automation, they allow engineers to make high-impact changes frequently and predictably with minimal toil. <br/> <br/> The Cloud Native Computing Foundation seeks to drive adoption of this paradigm by fostering and sustaining an ecosystem of open source, vendor-neutral projects. We democratize state-of-the-art patterns to make these innovations accessible for everyone. <br/> | CNCF云原生定义 <br/> <br/> 云原生技术有利于各组织在公有云、私有云和混合云等新型动态环境中，构建和运行可弹性扩展的应用。云原生的代表技术包括容器、服务网格、微服务、不可变基础设施和声明式API。<br/> <br/> 这些技术能够构建容错性好、易于管理和便于观察的松耦合系统。结合可靠的自动化手段，云原生技术使工程师能够轻松地对系统作出频繁和可预测的重大变更。<br/> <br/> 云原生计算基金会（CNCF）致力于培育和维护一个厂商中立的开源生态系统，来推广云原生技术。我们通过将最前沿的模式民主化，让这些创新为大众所用。 <br/> <br/> 	|        	|
| kubernetes master node                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       	| kubernetes master节点                                                                                                                                                                                                                                                                                                                                                                                                                                                     	|        	|
| kubernetes worker node                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       	| kubernetes worker节点                                                                                                                                                                                                                                                                                                                                                                                                                                                     	|        	|
| load balancer                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                	| 负载均衡器                                                                                                                                                                                                                                                                                                                                                                                                                                                                	|        	|
| API Server                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   	| API 服务器                                                                                                                                                                                                                                                                                                                                                                                                                                                                	|        	|
| load balance                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 	| 负载均衡                                                                                                                                                                                                                                                                                                                                                                                                                                                                  	|        	|
| runtime                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      	| 运行时                                                                                                                                                                                                                                                                                                                                                                                                                                                                    	|        	|
| cloud provider                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               	| 云服务供应商                                                                                                                                                                                                                                                                                                                                                                                                                                                              	|        	|
| credential                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   	| 身份验证                                                                                                                                                                                                                                                                                                                                                                                                                                                                  	|        	|
| workloads                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    	| 工作负载                                                                                                                                                                                                                                                                                                                                                                                                                                                                  	|        	|
| namespace                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    	| 命名空间                                                                                                                                                                                                                                                                                                                                                                                                                                                                  	|        	|
| control plane                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                	| 控制平面                                                                                                                                                                                                                                                                                                                                                                                                                                                                  	|        	|
| context                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      	| 上下文                                                                                                                                                                                                                                                                                                                                                                                                                                                                    	|        	|
| linux capabilities                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           	| linux 能力                                                                                                                                                                                                                                                                                                                                                                                                                                                                	|        	|
| Kubernetes hacks                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             	| Kubernetes修改部署                                                                                                                                                                                                                                                                                                                                                                                                                                                                         	|        	|
| Operator                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     	| 操作员                                                                                                                                                                                                                                                                                                                                                                                                                                                                         	|        	|

## Reference

| NAME                              	| LINK                                                                                                           	|
|-----------------------------------	|----------------------------------------------------------------------------------------------------------------	|
| CNCF Style Guide                  	| https://github.com/cncf/foundation/blob/master/style-guide.md                                                  	|
| CNCF Cloud Native Definition v1.0 	| https://github.com/cncf/toc/blob/master/DEFINITION.md                                                          	|
| 翻译规范                          	| https://github.com/kubernetes/kubernetes-docs-zh/blob/master/README-CN.md#%E7%BF%BB%E8%AF%91%E8%A7%84%E8%8C%83 	|
